Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class GridCellListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.GridCellListenerAdapter

All Implemented Interfaces:
  GridCellListener

    public class GridCellListenerAdapter

extends java.lang.Object
implements GridCellListener

Constructor Summary
`GridCellListenerAdapter()`

Method Summary
`void` | `onCellClick(GridPanel grid, int rowIndex, int colindex, EventObject e)` Fires when a cell is clicked.
`void` | `onCellContextMenu(GridPanel grid, int rowIndex, int cellIndex, EventObject e)` Fires when a cell is right clicked.
`void` | `onCellDblClick(GridPanel grid, int rowIndex, int colIndex, EventObject e)` Fires when a cell is double clicked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridCellListenerAdapter

    public GridCellListenerAdapter()

Method Detail

### onCellClick

    public void onCellClick(GridPanel grid,
                            int rowIndex,
                            int colindex,
                            EventObject e)

  Description copied from interface: `GridCellListener`
  Fires when a cell is clicked.

  Specified by:
    `onCellClick` in interface `GridCellListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `colindex` - the column index
    `e` - the event object

### onCellContextMenu

    public void onCellContextMenu(GridPanel grid,
                                  int rowIndex,
                                  int cellIndex,
                                  EventObject e)

  Description copied from interface: `GridCellListener`
  Fires when a cell is right clicked.

  Specified by:
    `onCellContextMenu` in interface `GridCellListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `cellIndex` - the cell index
    `e` - the event object

### onCellDblClick

    public void onCellDblClick(GridPanel grid,
                               int rowIndex,
                               int colIndex,
                               EventObject e)

  Description copied from interface: `GridCellListener`
  Fires when a cell is double clicked.

  Specified by:
    `onCellDblClick` in interface `GridCellListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `colIndex` - the column index
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD